<?php

declare(strict_types=1);

namespace Drupal\simple_push;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Component\Plugin\DependentPluginInterface;

/**
 * Interface for simple_push_backend plugins.
 */
interface SimplePushBackendInterface extends ConfigurableInterface, DependentPluginInterface {

  /**
   * Returns the translated plugin label.
   */
  public function label(): string;

  /**
   * Adds the notification to its backend cooking.
   */
  public function addNotification(array $data): array;

}
